## GucharmapCharmap GucharmapCharmap |

## Synopsis

                        GucharmapCharmapPrivate;
                        GucharmapCharmap;
    GtkWidget *         gucharmap_charmap_new               (void);
    void                gucharmap_charmap_set_active_character
                                                            (GucharmapCharmap *charmap,
                                                             gunichar uc);
    gunichar            gucharmap_charmap_get_active_character
                                                            (GucharmapCharmap *charmap);
    void                gucharmap_charmap_set_active_chapter
                                                            (GucharmapCharmap *charmap,
                                                             const gchar *chapter);
    char *              gucharmap_charmap_get_active_chapter
                                                            (GucharmapCharmap *charmap);
    void                gucharmap_charmap_set_font_desc     (GucharmapCharmap *charmap,
                                                             PangoFontDescription *font_desc);
    GucharmapChartable * gucharmap_charmap_get_chartable    (GucharmapCharmap *charmap);
    GucharmapChaptersView * gucharmap_charmap_get_chapters_view
                                                            (GucharmapCharmap *charmap);
    void                gucharmap_charmap_set_chapters_model
                                                            (GucharmapCharmap *charmap,
                                                             GucharmapChaptersModel *model);
    GucharmapChaptersModel * gucharmap_charmap_get_chapters_model
                                                            (GucharmapCharmap *charmap);
    GucharmapCodepointList * gucharmap_charmap_get_book_codepoint_list
                                                            (GucharmapCharmap *charmap);

## Object Hierarchy

      GObject
       +----GInitiallyUnowned
             +----GtkObject
                   +----GtkWidget
                         +----GtkContainer
                               +----GtkPaned
                                     +----GucharmapCharmap

## Implemented Interfaces

GucharmapCharmap implements AtkImplementorIface, GtkOrientable and GtkBuildable.

## Properties

      "active-chapter"           gchar*                : Read / Write
      "active-character"         guint                 : Read / Write
      "active-codepoint-list"    GucharmapCodepointList*  : Read
      "active-page"              guint                 : Read / Write
      "chapters-model"           GucharmapChaptersModel*  : Write / Construct
      "font-desc"                PangoFontDescription*  : Read / Write
      "snap-power-2"             gboolean              : Read / Write

## Signals

      "link-clicked"                                   : Run First
      "status-message"                                 : Run First

## Description

## Details

### GucharmapCharmapPrivate

    typedef struct _GucharmapCharmapPrivate GucharmapCharmapPrivate;

### GucharmapCharmap

    typedef struct _GucharmapCharmap GucharmapCharmap;

### gucharmap_charmap_new ()

    GtkWidget *         gucharmap_charmap_new               (void);

Returns : |

### gucharmap_charmap_set_active_character ()

    void                gucharmap_charmap_set_active_character
                                                            (GucharmapCharmap *charmap,
                                                             gunichar uc);

`charmap` : |
`uc` : |

### gucharmap_charmap_get_active_character ()

    gunichar            gucharmap_charmap_get_active_character
                                                            (GucharmapCharmap *charmap);

`charmap` : |
Returns : |

### gucharmap_charmap_set_active_chapter ()

    void                gucharmap_charmap_set_active_chapter
                                                            (GucharmapCharmap *charmap,
                                                             const gchar *chapter);

`charmap` : |
`chapter` : |

### gucharmap_charmap_get_active_chapter ()

    char *              gucharmap_charmap_get_active_chapter
                                                            (GucharmapCharmap *charmap);

`charmap` : |
Returns : |

### gucharmap_charmap_set_font_desc ()

    void                gucharmap_charmap_set_font_desc     (GucharmapCharmap *charmap,
                                                             PangoFontDescription *font_desc);

Sets `font_desc` as the font to use to display the character table.

`charmap` : |
`font_desc` : | a PangoFontDescription

### gucharmap_charmap_get_chartable ()

    GucharmapChartable * gucharmap_charmap_get_chartable    (GucharmapCharmap *charmap);

`charmap` : |
Returns : |

### gucharmap_charmap_get_chapters_view ()

    GucharmapChaptersView * gucharmap_charmap_get_chapters_view
                                                            (GucharmapCharmap *charmap);

`charmap` : |
Returns : |

### gucharmap_charmap_set_chapters_model ()

    void                gucharmap_charmap_set_chapters_model
                                                            (GucharmapCharmap *charmap,
                                                             GucharmapChaptersModel *model);

`charmap` : |
`model` : |

### gucharmap_charmap_get_chapters_model ()

    GucharmapChaptersModel * gucharmap_charmap_get_chapters_model
                                                            (GucharmapCharmap *charmap);

`charmap` : |
Returns : |

### gucharmap_charmap_get_book_codepoint_list ()

    GucharmapCodepointList * gucharmap_charmap_get_book_codepoint_list
                                                            (GucharmapCharmap *charmap);

`charmap` : |
Returns : |

## Property Details

### The `"active-chapter"` property

      "active-chapter"           gchar*                : Read / Write

Default value: NULL

### The `"active-character"` property

      "active-character"         guint                 : Read / Write

Allowed values: <= 1114111

Default value: 0

### The `"active-codepoint-list"` property

      "active-codepoint-list"    GucharmapCodepointList*  : Read

### The `"active-page"` property

      "active-page"              guint                 : Read / Write

Default value: 0

### The `"chapters-model"` property

      "chapters-model"           GucharmapChaptersModel*  : Write / Construct

### The `"font-desc"` property

      "font-desc"                PangoFontDescription*  : Read / Write

### The `"snap-power-2"` property

      "snap-power-2"             gboolean              : Read / Write

Default value: FALSE

## Signal Details

### The `"link-clicked"` signal

    void                user_function                      (GucharmapCharmap *gucharmapcharmap,
                                                            guint             arg1,
                                                            guint             arg2,
                                                            gpointer          user_data)             : Run First

`gucharmapcharmap` : | the object which received the signal.
`arg1` : |
`arg2` : |
`user_data` : | user data set when the signal handler was connected.

### The `"status-message"` signal

    void                user_function                      (GucharmapCharmap *gucharmapcharmap,
                                                            gchar            *arg1,
                                                            gpointer          user_data)             : Run First

`gucharmapcharmap` : | the object which received the signal.
`arg1` : |
`user_data` : | user data set when the signal handler was connected.